BizKitHub
DocsAPI ReferenceLedger/bff/ledger/bank-rule/mode
postLedgerAdmin BFF

/bff/ledger/bank-rule/mode

Promote a bank rule to automatic posting or demote it to suggestions

LedgerpostBffLedgerBank-ruleMode

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringRequired
Length: 24–24
mode"suggest" | "auto"Required
reasonstring | nullOptional
One of 2:
Variant 1
string
Length: 0–255
Variant 2
null

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/ledger/bank-rule/mode

post
curl -X POST "https://api.bizkithub.com/bff/ledger/bank-rule/mode" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key